curl --request GET \
--url https://api.leadping.ai/sources/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/sources/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/sources/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/sources/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/sources/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/sources/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"description": "<string>",
"enabled": true,
"apiKeyPreview": "<string>",
"apiKeyRotatedAt": "2023-11-07T05:31:56Z",
"firstLeadReceivedAt": "2023-11-07T05:31:56Z",
"lastLeadReceivedAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>"
},
"createdByUser": {
"id": "<string>",
"name": "<string>"
},
"createdByUserEmail": "jsmith@example.com",
"modifiedByUser": {
"id": "<string>",
"name": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>"
},
"costPerLead": 123,
"allowedStates": [
"<string>"
],
"allowedProducts": [
"<string>"
],
"requiresTrustedForm": true,
"complianceApproved": true,
"defaultTagIds": [
"<string>"
],
"defaultTags": [
{
"id": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>"
}
],
"name": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get an organization lead intake source by ID
Returns one lead source for the current organization, including intake settings, credentials metadata, and routing context.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the source to retrieve.
Response
Source was successfully retrieved.
Describes lead source data returned by Leadping.
Human-readable description that explains this lead source response to API users.
Indicates whether this lead source response is active and available in the Leadping API.
Masked preview of the source API key for compact display.
UTC timestamp when the source credential was most recently rotated.
UTC timestamp when this source first delivered a lead to Leadping.
UTC timestamp when this source most recently delivered a lead to Leadping.
User summary connected to this lead source response.
Show child attributes
Show child attributes
User summary for the person who created this lead source response.
Show child attributes
Show child attributes
Email used to resolve the creator's avatar.
User summary for the person who last modified this lead source response.
Show child attributes
Show child attributes
Organization summary connected to this lead source response.
Show child attributes
Show child attributes
Configured cost charged when this source creates a billable lead.
State or region allowlist used to accept leads from this source.
Product allowlist used to accept or route leads from this source.
Indicates whether leads from this source must include a TrustedForm certificate for consent proof.
Indicates whether the organization or sender passed compliance review.
Tag IDs automatically assigned to leads created by this source.
Default tag summaries automatically applied to leads from this source.
Show child attributes
Show child attributes
Human-readable display name of the resource.
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

